---
title: "Live Google Finance Quote Advanced"
url: "https://docs.dataforseo.com/v3/serp/google/finance_quote/live/advanced/"
date: "2026-06-06"
---

## Live Google Finance Quote Advanced

  
Live Google Finance Quote provides real-time data from the ‘Quote’ tab of Google Finance. These results are specific to the parameters you specify in the request: ticker in the `keyword` field, `location` and `language`.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/serp/google/finance\_quote/live/advanced     

      

Pricing

 Your account will be charged for each request.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-finance-serp-api "Pricing") page.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the parameters that are required or recommended for setting a task.

Main Parameters

| Field name | Type | Description |
|---|---|---|
| `keyword` | string | *ticker or stock symbol*  **required field**  in this field you can pass the ticker symbol of publicly traded shares of a particular stock or security on a particular stock exchange;  you can specify **up to 700 characters** in the `keyword` field;  all %## will be decoded (plus character ‘+’ will be decoded to a space character)  if you need to use the “%” character for your `keyword`, please specify it as “%25”;  if you need to use the “+” character for your `keyword`, please specify it as “%2B”;     learn more about rules and limitations of `keyword` and `keywords` fields in DataForSEO APIs in this [Help Center article](https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis) |
| `location_code` | integer | *search engine location code*  **required field if you don't specify `location_name`**  **if you use this field, you don't need to specify `location_name`**  you can receive the list of available locations of the search engines with their `location_code` by making a separate request to `https://api.dataforseo.com/v3/serp/google/locations`  example:  `2840` |
| `language_code` | string | *search engine language code*  **required field if you don't specify `language_name`**  **if you use this field, you don't need to specify `language_name`**  you can receive the list of available languages of the search engine with their `language_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`example:`en` |
| `device` | string | *device type*  optional field  return results for a specific device type  possible value: `desktop` |



  
Below you will find a drop-down list with the additional parameters you can use for setting a task.  
Additional Parameters| Field name | Type | Description |
|---|---|---|
| `location_name` | string | *full name of search engine location*  **required field if you don't specify `location_code`**  **if you use this field, you don't need to specify `location_code`**  you can receive the list of available locations of the search engine with their `location_name` by making a separate request to `https://api.dataforseo.com/v3/serp/google/locations`  example:  `London,England,United Kingdom` |
| `language_name` | string | *full name of search engine language*  **required field if you don't specify `language_code`**  **if you use this field, you don't need to specify `language_code`**  you can receive the list of available languages of the search engine with their `language_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`  example:  `English` |
| `os` | string | *device operating system*  optional field  possible values: `windows` |
| `tag` | string | *user-defined task identifier*  optional field  *the character limit is 255*  you can use this parameter to identify the task and match it with the result  you will find the specified `tag` value in the `data` object of the response |
| `window` | string | *time window for `google_finance_quote` graph*  optional field  possible values: `1D`, `5D`, `1M`, `6M`, `YTD`, `1Y`, `5Y`, `MAX`  default value: `1D`  **Note:** if you specify a value that is different from `1D`, the charge per task will be multiplied by 2 |



  
  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks. **Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword received in a POST array*   **the keyword is returned with decoded %## (plus character ‘+’ will be decoded to a space character)** |
| `type` | string | *search engine type*   in this case, equals `finance_quote` |
| `se_domain` | string | *search engine domain in a POST array* |
| `location_code` | string | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `check_url` | string | *direct URL to search engine results*   you can use it to make sure that we provided accurate results |
| `datetime` | string | *date and time when the result was received*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `spell` | object | *autocorrection of the search engine*   if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection |
| `refinement_chips` | object | *search refinement chips*   in this case, the value will be `null` |
| `item_types` | array | *types of search results in SERP*   contains types of search results (`items`) found in SERP;   possible item types: [`google_finance_hero_groups`](#google_finance_hero_groups), [`google_finance_quote`](#google_finance_quote), [`google_finance_compare_to`](#google_finance_compare_to), [`google_finance_news`](#google_finance_news), [`google_finance_financial`](#google_finance_financial), [`google_finance_futures_chain`](#google_finance_futures_chain), [`google_finance_details`](#google_finance_details), [`google_finance_about`](#google_finance_about), [`google_finance_interested`](#google_finance_interested), [`google_finance_people_also_search`](#google_finance_people_also_search) |
| `se_results_count` | integer | *total number of results in SERP* |
| `items_count` | integer | *the number of results returned in the **`items`** array* |
| **`items`** | array | *elements of search results found in SERP* |
| **<a name="google_finance_hero_groups">google\_finance\_hero\_groups item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_hero\_groups’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `markets` | array | *financial markets data*   array of items containing market indexes and other financial information related to these indexes |
| `market` | string | *financial market identifier*   possible values: `US`, `Europe`, `Asia`, `Currencies`, `Crypto`, `Futures` |
| `items` | array | *market indexes data*   array of items containing market indexes data;   possible `type` of items: `google_finance_asset_pair_element`, `google_finance_market_instrument_element`, `google_finance_market_index_element` |
| `type` | string | *type of element = **‘google\_finance\_market\_index\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `DAX` |
| `market_identifier` | string | *market identifier*   example: `INDEXDB` |
| `index_value` | float | *value of the market index*   numerical value of the index at a given `timestamp` |
| `index_value_delta` | float | *change in value of the market index*   change in the `index_value` at a given `timestamp` |
| `identifier` | string | *identifier of the element*   full identifier of the element that consists from `ticker` and `market_identifier`   example: `PX1:INDEXDB` |
| `displayed_name` | string | *name of the market index as displayed on Google Finance*   example: `CAC 40` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index*   example: `Europe/Paris` |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_asset\_pair\_element’*** |
| `base_symbol` | string | *identifier of the base asset in a pair*   example: `EUR` |
| `quote_symbol` | string | *identifier of the quote asset in a pair*   example: `USD` |
| `base_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `quote_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `price` | float | *value of the base asset compared to the quote asset* |
| `price_delta` | float | *change in price*   change in `price` at a given `timestamp` |
| `identifier` | string | *finance pair identifier*   example: `EUR-USD` |
| `displayed_name` | string | *displayed name of the finance pair*   example: `EUR / USD` |
| `url` | string | *URL to finance pair on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value* |
| `type` | string | *type of element = **‘google\_finance\_market\_instrument\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `YMW00` |
| `price` | float | *price of the market instrument*   price of the market instrument at a given `timestamp` |
| `price_delta` | float | *change in price of the market instrument*   change in `price` at a given `timestamp` |
| `price_currency` | string | *price currency*   example: `USD` |
| `identifier` | string | *full identifier of the market index*   example: `YMW00:CBOT` |
| `displayed_name` | string | *displayed name of the market index*   example: `E-mini Dow ($5)` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| **<a name="google_finance_quote">‘google\_finance\_quote’ item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_quote’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `quote` | object | *quoted market indexes* |
| `type` | string | *type of element = **‘google\_finance\_market\_index\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `DAX` |
| `market_identifier` | string | *market identifier*   example: `INDEXDB` |
| `index_value` | float | *value of the market index*   numerical value of the index at a given `timestamp` |
| `index_value_delta` | float | *change in value of the market index*   change in the `index_value` at a given `timestamp` |
| `identifier` | string | *identifier of the element*   full identifier of the element that consists from `ticker` and `market_identifier`   example: `PX1:INDEXDB` |
| `displayed_name` | string | *name of the market index as displayed on Google Finance*   example: `CAC 40` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index*   example: `Europe/Paris` |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_market\_instrument\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `YMW00` |
| `price` | float | *price of the market instrument*   price of the market instrument at a given `timestamp` |
| `price_delta` | float | *change in price of the market instrument*   change in `price` at a given `timestamp` |
| `price_currency` | string | *price currency*   example: `USD` |
| `identifier` | string | *full identifier of the market index*   example: `YMW00:CBOT` |
| `displayed_name` | string | *displayed name of the market index*   example: `E-mini Dow ($5)` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_asset\_pair\_element’*** |
| `base_symbol` | string | *identifier of the base asset in a pair*   example: `EUR` |
| `quote_symbol` | string | *identifier of the quote asset in a pair*   example: `USD` |
| `base_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `quote_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `price` | float | *value of the base asset compared to the quote asset* |
| `price_delta` | float | *change in price*   change in `price` at a given `timestamp` |
| `identifier` | string | *finance pair identifier*   example: `EUR-USD` |
| `displayed_name` | string | *displayed name of the finance pair*   example: `EUR / USD` |
| `url` | string | *URL to finance pair on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value* |
| `graph_items` | array | *values on graph* |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `value` | float | *point value on graph* |
| `volume` | float | *volume value on graph* |
| **<a name="google_finance_compare_to">‘google\_finance\_compare\_to’ item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_compare\_to’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `items` | array | *market indexes related to the market trends element* |
| `type` | string | *type of element = **‘google\_finance\_market\_index\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `DAX` |
| `market_identifier` | string | *market identifier*   example: `INDEXDB` |
| `index_value` | float | *value of the market index*   numerical value of the index at a given `timestamp` |
| `index_value_delta` | float | *change in value of the market index*   change in the `index_value` at a given `timestamp` |
| `identifier` | string | *identifier of the element*   full identifier of the element that consists from `ticker` and `market_identifier`   example: `PX1:INDEXDB` |
| `displayed_name` | string | *name of the market index as displayed on Google Finance*   example: `CAC 40` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index*   example: `Europe/Paris` |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_market\_instrument\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `YMW00` |
| `price` | float | *price of the market instrument*   price of the market instrument at a given `timestamp` |
| `price_delta` | float | *change in price of the market instrument*   change in `price` at a given `timestamp` |
| `price_currency` | string | *price currency*   example: `USD` |
| `identifier` | string | *full identifier of the market index*   example: `YMW00:CBOT` |
| `displayed_name` | string | *displayed name of the market index*   example: `E-mini Dow ($5)` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_asset\_pair\_element’*** |
| `base_symbol` | string | *identifier of the base asset in a pair*   example: `EUR` |
| `quote_symbol` | string | *identifier of the quote asset in a pair*   example: `USD` |
| `base_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `quote_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `price` | float | *value of the base asset compared to the quote asset* |
| `price_delta` | float | *change in price*   change in `price` at a given `timestamp` |
| `identifier` | string | *finance pair identifier*   example: `EUR-USD` |
| `displayed_name` | string | *displayed name of the finance pair*   example: `EUR / USD` |
| `url` | string | *URL to finance pair on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value* |
| **<a name="google_finance_news">‘google\_finance\_news’ item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_news’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `title` | string | *title of the news element*   example: `In the news` |
| `sub_title` | string | *sub-title of the news element*   example: `Based on Europe, Middle East, and Africa` |
| `items` | array | *google finance news articles* |
| `type` | string | *type of element = **‘google\_finance\_news\_element’*** |
| `title` | string | *title of the news article* |
| `url` | string | *URL of the news article* |
| `source` | string | *name of the news source*   name of the website where the news article is published |
| `image_url` | string | *featured image URL*   URL of the news article’s featured image |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `quotes` | array | *market indexes quoted in the news article*   information about market indexes quoted in the `google_finance_news_element` |
| `type` | string | *type of element = **‘google\_finance\_market\_index\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `DAX` |
| `market_identifier` | string | *market identifier*   example: `INDEXDB` |
| `index_value` | float | *value of the market index*   numerical value of the index at a given `timestamp` |
| `index_value_delta` | float | *change in value of the market index*   change in the `index_value` at a given `timestamp` |
| `identifier` | string | *identifier of the element*   full identifier of the element that consists from `ticker` and `market_identifier`   example: `PX1:INDEXDB` |
| `displayed_name` | string | *name of the market index as displayed on Google Finance*   example: `CAC 40` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index*   example: `Europe/Paris` |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_market\_instrument\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `YMW00` |
| `price` | float | *price of the market instrument*   price of the market instrument at a given `timestamp` |
| `price_delta` | float | *change in price of the market instrument*   change in `price` at a given `timestamp` |
| `price_currency` | string | *price currency*   example: `USD` |
| `identifier` | string | *full identifier of the market index*   example: `YMW00:CBOT` |
| `displayed_name` | string | *displayed name of the market index*   example: `E-mini Dow ($5)` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_asset\_pair\_element’*** |
| `base_symbol` | string | *identifier of the base asset in a pair*   example: `EUR` |
| `quote_symbol` | string | *identifier of the quote asset in a pair*   example: `USD` |
| `base_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `quote_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `price` | float | *value of the base asset compared to the quote asset* |
| `price_delta` | float | *change in price*   change in `price` at a given `timestamp` |
| `identifier` | string | *finance pair identifier*   example: `EUR-USD` |
| `displayed_name` | string | *displayed name of the finance pair*   example: `EUR / USD` |
| `url` | string | *URL to finance pair on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value* |
| **<a name="google_finance_financial">‘google\_finance\_financial’ item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_financial’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `quarterly_metrics` | array | *quarterly google finance metrics* |
| `type` | string | *type of element = **‘google\_finance\_financial\_element’*** |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `revenue` | float | *revenue value* |
| `revenue_delta` | float | *change in revenue* |
| `operating_expense` | float | *operating expense value* |
| `operating_expense_delta` | float | *change in operating expense* |
| `net_income` | float | *net income value* |
| `net_income_delta` | float | *change in net income* |
| `net_profit_margin` | float | *net profit margin value* |
| `net_profit_margin_delta` | float | *change in net profit margin* |
| `earnings_per_share` | float | *earnings per share value* |
| `earnings_per_share_delta` | float | *change in earnings per share* |
| `ebitda` | float | *earnings before interest, taxes, deprecation, amortisation* |
| `ebitda_delta` | float | *change in ebitda* |
| `effective_tax_rate` | float | *effective tax rate value* |
| `cash_and_short_term_investments` | float | *cash and short-term investments value* |
| `cash_and_short_term_investments_delta` | float | *change in cash and short-term investments* |
| `total_assets` | float | *total assets value* |
| `total_assets_delta` | float | *change in total assets* |
| `total_liabilities` | float | *total liabilities value* |
| `total_liabilities_delta` | float | *change in total liabilities* |
| `total_equity` | float | *total equity value* |
| `shares_outstanding` | float | *outstanding shares value* |
| `price_to_book` | float | *price to book* |
| `return_on_assets` | float | *return on assets* |
| `return_on_capital` | float | *return on capital* |
| `cash_from_operations` | float | *cash from operations* |
| `cash_from_operations_delta` | float | *change in cash from operations* |
| `cash_from_investing` | float | *cash from investing* |
| `cash_from_investing_delta` | float | *change in cash from investing* |
| `cash_from_financing` | float | *cash from financing/em&gt;* |
| `cash_from_financing_delta` | float | *change in cash from financing* |
| `net_change_in_cash` | float | *net change in cash* |
| `net_change_in_cash_delta` | float | *change in net change in cash* |
| `free_cash_flow` | float | *free cash flow value* |
| `free_cash_flow_delta` | float | *change in free cash flow* |
| `annual_metrics` | array | *annual google finance metrics* |
| `type` | string | *type of element = **‘google\_finance\_financial\_element’*** |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `revenue` | float | *revenue value* |
| `revenue_delta` | float | *change in revenue* |
| `operating_expense` | float | *operating expense value* |
| `operating_expense_delta` | float | *change in operating expense* |
| `net_income` | float | *net income value* |
| `net_income_delta` | float | *change in net income* |
| `net_profit_margin` | float | *net profit margin value* |
| `net_profit_margin_delta` | float | *change in net profit margin* |
| `earnings_per_share` | float | *earnings per share value* |
| `earnings_per_share_delta` | float | *change in earnings per share* |
| `ebitda` | float | *earnings before interest, taxes, deprecation, amortisation* |
| `ebitda_delta` | float | *change in ebitda* |
| `effective_tax_rate` | float | *effective tax rate value* |
| `cash_and_short_term_investments` | float | *cash and short-term investments value* |
| `cash_and_short_term_investments_delta` | float | *change in cash and short-term investments* |
| `total_assets` | float | *total assets value* |
| `total_assets_delta` | float | *change in total assets* |
| `total_liabilities` | float | *total liabilities value* |
| `total_liabilities_delta` | float | *change in total liabilities* |
| `total_equity` | float | *total equity value* |
| `shares_outstanding` | float | *outstanding shares value* |
| `price_to_book` | float | *price to book* |
| `return_on_assets` | float | *return on assets* |
| `return_on_capital` | float | *return on capital* |
| `cash_from_operations` | float | *cash from operations* |
| `cash_from_operations_delta` | float | *change in cash from operations* |
| `cash_from_investing` | float | *cash from investing* |
| `cash_from_investing_delta` | float | *change in cash from investing* |
| `cash_from_financing` | float | *cash from financing/em&gt;* |
| `cash_from_financing_delta` | float | *change in cash from financing* |
| `net_change_in_cash` | float | *net change in cash* |
| `net_change_in_cash_delta` | float | *change in net change in cash* |
| `free_cash_flow` | float | *free cash flow value* |
| `free_cash_flow_delta` | float | *change in free cash flow* |
| **<a name="google_finance_futures_chain">‘google\_finance\_futures\_chain’ item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_futures\_chain’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `markets` | array | *financial markets data*   array of items containing market indexes and other financial information related to these indexes |
| `type` | string | *type of element = **‘google\_finance\_futures\_chain\_element’*** |
| `expiration_timestamp` | string | *futures’ date and time of expiration*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `symbol` | string | *futures’ symbol* |
| `price` | float | *futures’ price* |
| `price_currency` | string | *currency of the price value* |
| `price_delta` | float | *change in price* |
| `percentage_delta` | float | *percentage of the change in price* |
| `trend` | string | *trend of price growth*   possible values: `up`, `down`, `stable` |
| **<a name="google_finance_details">‘google\_finance\_details’ item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_details’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `badges` | array | *google finance badges relevant to the element*   example: `Futures Contract` |
| `previous_close` | float | *value of the previous close* |
| `start_day_range` | float | *value of the start day range* |
| `end_day_range` | float | *value of the end day range* |
| `start_year_range` | float | *value of the start year range* |
| `end_year_range` | float | *value of the end year range* |
| `market_cap` | float | *market cap value* |
| `volume` | float | *total volume value* |
| `avg_volume` | float | *average volume value* |
| `pe_ratio` | float | *price-earnings ratio* |
| `dividend_yield` | float | *dividend yield value* |
| `primary_exchange` | string | *primary exchange value* |
| `ytd_return` | float | *year-to-date return value* |
| `expense_ratio` | float | *expense ratio value* |
| `category` | string | *category name* |
| `net_asset` | float | *net asset value* |
| `yield` | float | *yield value* |
| `front_load` | float | *front load value* |
| `market_segment` | string | *name of the relevant market segment* |
| `open_interest` | float | *open interest value* |
| `settlement_price` | float | *settlement price value* |
| `cdp_climate_change_score` | string | *climate change score by carbon disclosure project methodology* |
| `metrics_currency` | string | *currency of the metrics* |
| **<a name="google_finance_about">‘google\_finance\_about’ item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_about’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `displayed_name` | string | *company name displayed in SERP* |
| `description` | string | *company description* |
| `description_source_url` | string | *source of information provided in description* |
| `ceo` | string | *Chief Executive Officer of the company* |
| `founded` | string | *date when the company was founded*   in the format: “yyyy-mm-ddThh-mm-ssZ”   example:   `1993-04-05T00:00:00Z` |
| `headquarters` | string | *company headquarters* |
| `website` | string | *company website* |
| `employees` | integer | *number of company employees* |
| **<a name="google_finance_interested">‘google\_finance\_interested’ item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_interested’***   list of market indexes generated from recent searches, followed securities, and other activity |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `items` | array | *market indexes related to the market trends element* |
| `type` | string | *type of element = **‘google\_finance\_market\_index\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `DAX` |
| `market_identifier` | string | *market identifier*   example: `INDEXDB` |
| `index_value` | float | *value of the market index*   numerical value of the index at a given `timestamp` |
| `index_value_delta` | float | *change in value of the market index*   change in the `index_value` at a given `timestamp` |
| `identifier` | string | *identifier of the element*   full identifier of the element that consists from `ticker` and `market_identifier`   example: `PX1:INDEXDB` |
| `displayed_name` | string | *name of the market index as displayed on Google Finance*   example: `CAC 40` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index*   example: `Europe/Paris` |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_market\_instrument\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `YMW00` |
| `price` | float | *price of the market instrument*   price of the market instrument at a given `timestamp` |
| `price_delta` | float | *change in price of the market instrument*   change in `price` at a given `timestamp` |
| `price_currency` | string | *price currency*   example: `USD` |
| `identifier` | string | *full identifier of the market index*   example: `YMW00:CBOT` |
| `displayed_name` | string | *displayed name of the market index*   example: `E-mini Dow ($5)` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_asset\_pair\_element’*** |
| `base_symbol` | string | *identifier of the base asset in a pair*   example: `EUR` |
| `quote_symbol` | string | *identifier of the quote asset in a pair*   example: `USD` |
| `base_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `quote_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `price` | float | *value of the base asset compared to the quote asset* |
| `price_delta` | float | *change in price*   change in `price` at a given `timestamp` |
| `identifier` | string | *finance pair identifier*   example: `EUR-USD` |
| `displayed_name` | string | *displayed name of the finance pair*   example: `EUR / USD` |
| `url` | string | *URL to finance pair on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value* |
| **‘google\_finance\_people\_also\_search’ element in SERP** |  |  |
| `type` | string | *type of element = **‘google\_finance\_people\_also\_search’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `items` | array | *market indexes related to the market trends element* |
| `type` | string | *type of element = **‘google\_finance\_market\_index\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `DAX` |
| `market_identifier` | string | *market identifier*   example: `INDEXDB` |
| `index_value` | float | *value of the market index*   numerical value of the index at a given `timestamp` |
| `index_value_delta` | float | *change in value of the market index*   change in the `index_value` at a given `timestamp` |
| `identifier` | string | *identifier of the element*   full identifier of the element that consists from `ticker` and `market_identifier`   example: `PX1:INDEXDB` |
| `displayed_name` | string | *name of the market index as displayed on Google Finance*   example: `CAC 40` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index*   example: `Europe/Paris` |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_market\_instrument\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `YMW00` |
| `price` | float | *price of the market instrument*   price of the market instrument at a given `timestamp` |
| `price_delta` | float | *change in price of the market instrument*   change in `price` at a given `timestamp` |
| `price_currency` | string | *price currency*   example: `USD` |
| `identifier` | string | *full identifier of the market index*   example: `YMW00:CBOT` |
| `displayed_name` | string | *displayed name of the market index*   example: `E-mini Dow ($5)` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_asset\_pair\_element’*** |
| `base_symbol` | string | *identifier of the base asset in a pair*   example: `EUR` |
| `quote_symbol` | string | *identifier of the quote asset in a pair*   example: `USD` |
| `base_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `quote_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `price` | float | *value of the base asset compared to the quote asset* |
| `price_delta` | float | *change in price*   change in `price` at a given `timestamp` |
| `identifier` | string | *finance pair identifier*   example: `EUR-USD` |
| `displayed_name` | string | *displayed name of the finance pair*   example: `EUR / USD` |
| `url` | string | *URL to finance pair on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value* |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/google/finance_quote/live/advanced" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "keyword": "CLW00:NYMEX",
        "location_code": 2840,
        "language_name": "English"
    }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
    // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
    $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
    exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
    "keyword" => "CLW00:NYMEX",
    "location_code" => 2840,
    "language_name" => "English"
);
try {
    // POST /v3/serp/google/finance_quote/live/advanced
    // in addition to 'google' and 'finance_quote' you can also set other search engine and type parameters
    // the full list of possible parameters is available in documentation
    $result = $client->post('/v3/serp/google/finance_quote/live/advanced', $post_array);
    print_r($result);
    // do something with post result
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/google/finance_quote/live/advanced',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        "keyword" => "CLW00:NYMEX",
        "location_code" => 2840,
        "language_name" => "English"
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
keyword="CLW00:NYMEX",
location_code=2840,
language_name="English"
)
# POST /v3/serp/google/finance_quote/live/advanced
# in addition to 'google' and 'finance_quote' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/google/finance_quote/live/advanced", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_live_advanced()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                keyword="CLW00:NYMEX",
                location_code=2840,
                language_name="English"
            });
            // POST /v3/serp/google/finance_quote/live/advanced
            // in addition to 'google' and 'finance_quote' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/google/finance_quote/live/advanced", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20241227",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "3.1191 sec.",
  "cost": 0.002,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "02131608-1535-0139-0000-b0b366317993",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "3.0615 sec.",
      "cost": 0.002,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "finance_quote",
        "live",
        "advanced"
      ],
      "data": {
        "api": "serp",
        "function": "live",
        "se": "google",
        "se_type": "finance_quote",
        "language_name": "English",
        "location_code": 2840,
        "keyword": "CLW00:NYMEX",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "CLW00:NYMEX",
          "type": "finance_quote",
          "se_domain": "google.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://www.google.com/finance/quote/CLW00:NYMEX?hl=en&gl=us&window=1d",
          "datetime": "2025-02-13 14:08:33 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "google_finance_hero_groups",
            "google_finance_quote",
            "google_finance_compare_to",
            "google_finance_news",
            "google_finance_futures_chain",
            "google_finance_details",
            "google_finance_about",
            "google_finance_interested",
            "google_finance_people_also_search"
          ],
          "se_results_count": 0,
          "items_count": 11,
          "items": [
            {
              "type": "google_finance_hero_groups",
              "rank_group": 1,
              "rank_absolute": 1,
              "markets": [
                {
                  "market": "Futures",
                  "items": [
                    {
                      "type": "google_finance_market_instrument_element",
                      "ticker": "YMW00",
                      "price": 44561,
                      "price_delta": 99,
                      "price_currency": "USD",
                      "identifier": "YMW00:CBOT",
                      "displayed_name": "E-mini Dow ($5)",
                      "url": "https://google.com/finance/quote/YMW00:CBOT?hl=en&gl=us",
                      "location": null,
                      "trend": "up",
                      "timestamp": "2025-02-13 13:58:21 +00:00",
                      "percentage_delta": 0.22266205
                    },
                    {
                      "type": "google_finance_market_instrument_element",
                      "ticker": "ESW00",
                      "price": 6084,
                      "price_delta": 11.25,
                      "price_currency": "USD",
                      "identifier": "ESW00:CME_EMINIS",
                      "displayed_name": "E-mini S&P 500",
                      "url": "https://google.com/finance/quote/ESW00:CME_EMINIS?hl=en&gl=us",
                      "location": null,
                      "trend": "up",
                      "timestamp": "2025-02-13 13:58:22 +00:00",
                      "percentage_delta": 0.1852538
                    },
                    {
                      "type": "google_finance_market_instrument_element",
                      "ticker": "NQW00",
                      "price": 21878.25,
                      "price_delta": 73.5,
                      "price_currency": "USD",
                      "identifier": "NQW00:CME_EMINIS",
                      "displayed_name": "E-mini NASDAQ 100",
                      "url": "https://google.com/finance/quote/NQW00:CME_EMINIS?hl=en&gl=us",
                      "location": null,
                      "trend": "up",
                      "timestamp": "2025-02-13 13:58:26 +00:00",
                      "percentage_delta": 0.3370825
                    }
                  ]
                },
                {
                  "market": "US",
                  "items": [
                    {
                      "type": "google_finance_market_index_element",
                      "ticker": ".DJI",
                      "market_identifier": "INDEXDJX",
                      "index_value": 44368.56,
                      "index_value_delta": 0,
                      "identifier": ".DJI:INDEXDJX",
                      "displayed_name": "Dow Jones Industrial Average",
                      "url": "https://google.com/finance/quote/.DJI:INDEXDJX?hl=en&gl=us",
                      "location": "America/New_York",
                      "trend": "stable",
                      "timestamp": "2025-02-13 14:08:01 +00:00",
                      "percentage_delta": 0
                    }
                  ]
                },
                {
                  "market": "Europe",
                  "items": [
                    {
                      "type": "google_finance_market_index_element",
                      "ticker": "DAX",
                      "market_identifier": "INDEXDB",
                      "index_value": 22516.39,
                      "index_value_delta": 368.36133,
                      "identifier": "DAX:INDEXDB",
                      "displayed_name": "DAX PERFORMANCE-INDEX",
                      "url": "https://google.com/finance/quote/DAX:INDEXDB?hl=en&gl=us",
                      "location": "Europe/Berlin",
                      "trend": "up",
                      "timestamp": "2025-02-13 13:53:22 +00:00",
                      "percentage_delta": 1.6631788
                    }
                  ]
                },
                {
                  "market": "Asia",
                  "items": [
                    {
                      "type": "google_finance_market_index_element",
                      "ticker": "NI225",
                      "market_identifier": "INDEXNIKKEI",
                      "index_value": 39461.47,
                      "index_value_delta": 497.76953,
                      "identifier": "NI225:INDEXNIKKEI",
                      "displayed_name": "Nikkei 225",
                      "url": "https://google.com/finance/quote/NI225:INDEXNIKKEI?hl=en&gl=us",
                      "location": "Asia/Tokyo",
                      "trend": "up",
                      "timestamp": "2025-02-13 10:00:00 +00:00",
                      "percentage_delta": 1.2775213
                    }
                  ]
                },
                {
                  "market": "Currencies",
                  "items": [
                    {
                      "type": "google_finance_asset_pair_element",
                      "base_symbol": "EUR",
                      "quote_symbol": "USD",
                      "base_display_name": "Euro",
                      "quote_display_name": "United States Dollar",
                      "price": 1.038625,
                      "price_delta": -0.000615,
                      "identifier": "EUR-USD",
                      "displayed_name": "EUR / USD",
                      "url": "https://google.com/finance/quote/EUR-USD?hl=en&gl=us",
                      "location": null,
                      "trend": "down",
                      "timestamp": "2025-02-13 14:07:05 +00:00",
                      "percentage_delta": -0.05917786000000001
                    },
                    {
                      "type": "google_finance_asset_pair_element",
                      "base_symbol": "USD",
                      "quote_symbol": "JPY",
                      "base_display_name": "United States Dollar",
                      "quote_display_name": "Japanese Yen",
                      "price": 153.44250599999998,
                      "price_delta": -0.820994,
                      "identifier": "USD-JPY",
                      "displayed_name": "USD / JPY",
                      "url": "https://google.com/finance/quote/USD-JPY?hl=en&gl=us",
                      "location": null,
                      "trend": "down",
                      "timestamp": "2025-02-13 14:08:05 +00:00",
                      "percentage_delta": -0.5322023
                    },
                    {
                      "type": "google_finance_asset_pair_element",
                      "base_symbol": "GBP",
                      "quote_symbol": "USD",
                      "base_display_name": "Pound sterling",
                      "quote_display_name": "United States Dollar",
                      "price": 1.24675066,
                      "price_delta": 0.00175066,
                      "identifier": "GBP-USD",
                      "displayed_name": "GBP / USD",
                      "url": "https://google.com/finance/quote/GBP-USD?hl=en&gl=us",
                      "location": null,
                      "trend": "up",
                      "timestamp": "2025-02-13 14:08:05 +00:00",
                      "percentage_delta": 0.14061520000000002
                    }
                  ]
                },
                {
                  "market": "Crypto",
                  "items": [
                    {
                      "type": "google_finance_asset_pair_element",
                      "base_symbol": "BTC",
                      "quote_symbol": "USD",
                      "base_display_name": "Bitcoin",
                      "quote_display_name": "United States Dollar",
                      "price": 96055.94,
                      "price_delta": -1799.55,
                      "identifier": "BTC-USD",
                      "displayed_name": "Bitcoin (BTC / USD)",
                      "url": "https://google.com/finance/quote/BTC-USD?hl=en&gl=us",
                      "location": null,
                      "trend": "down",
                      "timestamp": "2025-02-13 14:07:50 +00:00",
                      "percentage_delta": -1.838987
                    }
                  ]
                }
              ]
            },
            {
              "type": "google_finance_quote",
              "rank_group": 1,
              "rank_absolute": 2,
              "quote": {
                "type": "google_finance_market_instrument_element",
                "ticker": "CLW00",
                "price": 70.33000183105469,
                "price_delta": -0.90999603,
                "price_currency": "USD",
                "identifier": "CLW00:NYMEX",
                "displayed_name": "Crude Oil",
                "url": "https://google.com/finance/quote/CLW00:NYMEX?hl=en&gl=us",
                "location": null,
                "trend": "down",
                "timestamp": "2025-02-13 13:58:12 +00:00",
                "percentage_delta": -1.2773668
              },
              "graph_items": [
                {
                  "timestamp": "2025-02-12 19:00:00 +00:00",
                  "value": 70.53,
                  "volume": 27
                },
                {
                  "timestamp": "2025-02-12 19:01:00 +00:00",
                  "value": 70.54,
                  "volume": 10
                },
                {
                  "timestamp": "2025-02-12 19:02:00 +00:00",
                  "value": 70.56,
                  "volume": 5
                },
                {
                  "timestamp": "2025-02-12 19:03:00 +00:00",
                  "value": 70.55,
                  "volume": 14
                },
                {
                  "timestamp": "2025-02-12 19:04:00 +00:00",
                  "value": 70.56,
                  "volume": 2
                },
                {
                  "timestamp": "2025-02-12 19:05:00 +00:00",
                  "value": 70.56,
                  "volume": 7
                },
                {
                  "timestamp": "2025-02-12 19:06:00 +00:00",
                  "value": 70.57,
                  "volume": 8
                },
                {
                  "timestamp": "2025-02-12 19:07:00 +00:00",
                  "value": 70.56,
                  "volume": 57
                },
                {
                  "timestamp": "2025-02-12 19:08:00 +00:00",
                  "value": 70.58,
                  "volume": 58
                },
                {
                  "timestamp": "2025-02-12 19:09:00 +00:00",
                  "value": 70.58,
                  "volume": 53
                }
              ]
            },
            {
              "type": "google_finance_compare_to",
              "rank_group": 1,
              "rank_absolute": 3,
              "items": [
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "BZW00",
                  "price": 74.19999694824219,
                  "price_delta": -0.98000336,
                  "price_currency": "USD",
                  "identifier": "BZW00:NYMEX",
                  "displayed_name": "Brent Crude Oil Last Day Financial Futures",
                  "url": "https://www.google.com/finance/quote/CLW00:NYMEX?hl=en&gl=us&window=1d&comparison=NYMEX%3ABZW00",
                  "location": null,
                  "trend": "down",
                  "timestamp": "2025-02-13 13:58:02 +00:00",
                  "percentage_delta": -1.3035426
                },
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "NGW00",
                  "price": 3.7290000915527344,
                  "price_delta": 0.16400003,
                  "price_currency": "USD",
                  "identifier": "NGW00:NYMEX",
                  "displayed_name": "Henry Hub Natural Gas",
                  "url": "https://www.google.com/finance/quote/CLW00:NYMEX?hl=en&gl=us&window=1d&comparison=NYMEX%3ANGW00",
                  "location": null,
                  "trend": "up",
                  "timestamp": "2025-02-13 13:58:25 +00:00",
                  "percentage_delta": 4.6002812
                },
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "RBW00",
                  "price": 2.2908999919891357,
                  "price_delta": -0.022300005,
                  "price_currency": "USD",
                  "identifier": "RBW00:NYMEX",
                  "displayed_name": "RBOB Gasoline Futures",
                  "url": "https://www.google.com/finance/quote/CLW00:NYMEX?hl=en&gl=us&window=1d&comparison=NYMEX%3ARBW00",
                  "location": null,
                  "trend": "down",
                  "timestamp": "2025-02-13 13:58:22 +00:00",
                  "percentage_delta": -0.9640327
                }
              ]
            },
            {
              "type": "google_finance_news",
              "rank_group": 1,
              "rank_absolute": 4,
              "title": "Top news",
              "sub_title": null,
              "items": [
                {
                  "type": "google_finance_news_element",
                  "title": "Oil sinks 2% after Trump calls Putin, Zelenskiy to discuss end to war in nUkraine",
                  "url": "https://www.reuters.com/business/energy/oil-prices-retreat-after-report-us-crude-stockpile-rise-2025-02-12/",
                  "source": "Reuters",
                  "image_url": "https://encrypted-tbn3.gstatic.com/images?q=tbn:ANd9GcQjkEbx5c2_PN1hkUM6WgcqRvBGg9iigFjPZ4uQXNsWm0UUfi5NCp-vCllvS9c",
                  "timestamp": "2025-02-12 20:04:48 +00:00",
                  "quotes": null
                },
                {
                  "type": "google_finance_news_element",
                  "title": "Trump tariffs on Canadian oil expected to raise U.S. gasoline prices if nenacted next month",
                  "url": "https://www.cnbc.com/2025/02/11/gasoline-prices-may-rise-if-trump-slaps-tariffs-on-canadian-crude-oil-in-march.html",
                  "source": "CNBC",
                  "image_url": "https://encrypted-tbn3.gstatic.com/images?q=tbn:ANd9GcQ3DcULa_C8lWn73Afw1RNMUu6OiwwMNfVtjpcsaVXeK6g8EnJ2lbkXjR-t3VY",
                  "timestamp": "2025-02-11 16:59:10 +00:00",
                  "quotes": null
                }
              ]
            },
            {
              "type": "google_finance_futures_chain",
              "rank_group": 1,
              "rank_absolute": 7,
              "markets": [
                {
                  "type": "google_finance_futures_chain_element",
                  "timestamp": null,
                  "revenue": null,
                  "symbol": "CLH25",
                  "price": 70.43000030517578,
                  "price_currency": "USD",
                  "price_delta": -0.94000244,
                  "percentage_delta": -1.3170834,
                  "trend": "down"
                },
                {
                  "type": "google_finance_futures_chain_element",
                  "timestamp": null,
                  "revenue": null,
                  "symbol": "CLJ25",
                  "price": 70.33999633789062,
                  "price_currency": "USD",
                  "price_delta": -0.9000015,
                  "percentage_delta": -1.2633374,
                  "trend": "down"
                },
                {
                  "type": "google_finance_futures_chain_element",
                  "timestamp": null,
                  "revenue": null,
                  "symbol": "CLK25",
                  "price": 70.0999984741211,
                  "price_currency": "USD",
                  "price_delta": -0.91999817,
                  "percentage_delta": -1.2954072,
                  "trend": "down"
                },
                {
                  "type": "google_finance_futures_chain_element",
                  "timestamp": null,
                  "revenue": null,
                  "symbol": "CLM25",
                  "price": 69.80999755859375,
                  "price_currency": "USD",
                  "price_delta": -0.9200058,
                  "percentage_delta": -1.3007292,
                  "trend": "down"
                },
                {
                  "type": "google_finance_futures_chain_element",
                  "timestamp": null,
                  "revenue": null,
                  "symbol": "CLN25",
                  "price": 69.4800033569336,
                  "price_currency": "USD",
                  "price_delta": -0.90999603,
                  "percentage_delta": -1.2927916,
                  "trend": "down"
                }
              ]
            },
            {
              "type": "google_finance_details",
              "rank_group": 1,
              "rank_absolute": 8,
              "badges": [
                "Futures Contract"
              ],
              "previous_close": 71.24,
              "start_day_range": 70.16,
              "end_day_range": 71.18,
              "start_year_range": 70.16,
              "end_year_range": 71.18,
              "market_cap": null,
              "volume": 72805,
              "avg_volume": null,
              "pe_ratio": null,
              "dividend_yield": null,
              "primary_exchange": "NYMEX",
              "ytd_return": null,
              "expense_ratio": null,
              "category": null,
              "net_assets": null,
              "yield": null,
              "front_load": null,
              "market_segment": "ENRGY",
              "open_interest": 256985,
              "settlement_price": 71.24,
              "cdp_climate_change_score": null,
              "metrics_currency": "USD"
            },
            {
              "type": "google_finance_about",
              "rank_group": 1,
              "rank_absolute": 9,
              "displayed_name": "NYMEX:CLW00",
              "description": null,
              "description_source_url": null,
              "ceo": null,
              "founded": null,
              "headquarters": null,
              "website": null,
              "employees": null
            },
            {
              "type": "google_finance_interested",
              "rank_group": 1,
              "rank_absolute": 10,
              "items": [
                {
                  "type": "google_finance_market_index_element",
                  "ticker": ".DJI",
                  "market_identifier": "INDEXDJX",
                  "index_value": 44368.56,
                  "index_value_delta": 0,
                  "identifier": ".DJI:INDEXDJX",
                  "displayed_name": "Dow Jones Industrial Average",
                  "url": "https://google.com/finance/quote/.DJI:INDEXDJX?hl=en&gl=us",
                  "location": "America/New_York",
                  "trend": "stable",
                  "timestamp": "2025-02-13 14:08:01 +00:00",
                  "percentage_delta": 0
                },
                {
                  "type": "google_finance_market_index_element",
                  "ticker": ".INX",
                  "market_identifier": "INDEXSP",
                  "index_value": 6051.97,
                  "index_value_delta": 0,
                  "identifier": ".INX:INDEXSP",
                  "displayed_name": "S&P 500",
                  "url": "https://google.com/finance/quote/.INX:INDEXSP?hl=en&gl=us",
                  "location": "America/New_York",
                  "trend": "stable",
                  "timestamp": "2025-02-13 14:08:07 +00:00",
                  "percentage_delta": 0
                },
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "AMZN",
                  "price": 228.93,
                  "price_delta": 0,
                  "price_currency": "USD",
                  "identifier": "AMZN:NASDAQ",
                  "displayed_name": "Amazon.com Inc",
                  "url": "https://google.com/finance/quote/AMZN:NASDAQ?hl=en&gl=us",
                  "location": "America/New_York",
                  "trend": "stable",
                  "timestamp": "2025-02-13 14:08:19 +00:00",
                  "percentage_delta": 0
                }
              ]
            },
            {
              "type": "google_finance_people_also_search",
              "rank_group": 1,
              "rank_absolute": 11,
              "items": [
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "BZW00",
                  "price": 74.19999694824219,
                  "price_delta": -0.98000336,
                  "price_currency": "USD",
                  "identifier": "BZW00:NYMEX",
                  "displayed_name": "Brent Crude Oil Last Day Financial Futures",
                  "url": "https://google.com/finance/quote/BZW00:NYMEX?hl=en&gl=us",
                  "location": null,
                  "trend": "down",
                  "timestamp": "2025-02-13 13:58:02 +00:00",
                  "percentage_delta": -1.3035426
                },
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "NGW00",
                  "price": 3.7290000915527344,
                  "price_delta": 0.16400003,
                  "price_currency": "USD",
                  "identifier": "NGW00:NYMEX",
                  "displayed_name": "Henry Hub Natural Gas",
                  "url": "https://google.com/finance/quote/NGW00:NYMEX?hl=en&gl=us",
                  "location": null,
                  "trend": "up",
                  "timestamp": "2025-02-13 13:58:25 +00:00",
                  "percentage_delta": 4.6002812
                },
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "RBW00",
                  "price": 2.2908999919891357,
                  "price_delta": -0.022300005,
                  "price_currency": "USD",
                  "identifier": "RBW00:NYMEX",
                  "displayed_name": "RBOB Gasoline Futures",
                  "url": "https://google.com/finance/quote/RBW00:NYMEX?hl=en&gl=us",
                  "location": null,
                  "trend": "down",
                  "timestamp": "2025-02-13 13:58:22 +00:00",
                  "percentage_delta": -0.9640327
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp